[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TTaskBarBehavior

How forms are represented in the TaskBar.

## Declaration

Source position: forms.pp line 1442

`type TTaskBarBehavior = (`
`tbDefault,` |  | Show TaskBar buttons according to the platform default.
`tbMultiButton,` |  | Show buttons for Forms with ShowInTaskBar=stDefault.
`tbSingleButton` |  | Hide buttons for Forms with ShowInTaskBar=stDefault.
`);`

## Description

TTaskBarBehavior is an enumerated type with values that define how forms are displayed in the task bar. TTaskBarBehavior is the type used to implement the TaskBarBehavior property in TApplication.

Remark: | Some Linux window managers do not support task bar behaviors. For example: Cinnamon.

## See also

TApplication.TaskBarBehavior |  | Indicates how forms are represented in the task bar.